Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Database

    java.lang.Object
      |
      +--org.hsqldb.Database

class Database
extends Object

Constructor Summary
`(package private)` | `Database(java.lang.String )`

Method Summary
`(package private) synchronized org.hsqldb.Channel` | `connect(java.lang.String , java.lang.String )`
`(package private) byte[]` | `execute(java.lang.String , java.lang.String , java.lang.String )`
`(package private) synchronized org.hsqldb.Result` | `execute(java.lang.String , org.hsqldb.Channel )`
`void` | `finalize()`
`(package private) java.util.Hashtable` | `getAlias()`
`(package private) java.lang.String` | `getAlias(java.lang.String )`
`(package private) org.hsqldb.Log` | `getLog()`
`(package private) java.lang.String` | `getName()`
`(package private) org.hsqldb.Result` | `getScript(boolean , boolean , boolean , org.hsqldb.Channel )`
`(package private) org.hsqldb.Table` | `getTable(java.lang.String , org.hsqldb.Channel )`
`(package private) java.util.Vector` | `getTables()`
`(package private) boolean` | `isIgnoreCase()`
`(package private) boolean` | `isReferentialIntegrity()`
`(package private) boolean` | `isShutdown()`
`(package private) void` | `linkTable(org.hsqldb.Table )`
`(package private) void` | `registerChannel(org.hsqldb.Channel )`
`(package private) void` | `setReadOnly()`
`(package private) void` | `setReferentialIntegrity(boolean )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Database

    Database(java.lang.String )

Method Detail

### connect

    synchronized org.hsqldb.Channel connect(java.lang.String , java.lang.String )

### execute

    byte[] execute(java.lang.String , java.lang.String , java.lang.String )

### execute

    synchronized org.hsqldb.Result execute(java.lang.String , org.hsqldb.Channel )

### finalize

    public void finalize()

### getAlias

    java.util.Hashtable getAlias()

### getAlias

    java.lang.String getAlias(java.lang.String )

### getLog

    org.hsqldb.Log getLog()

### getName

    java.lang.String getName()

### getScript

    org.hsqldb.Result getScript(boolean , boolean , boolean , org.hsqldb.Channel )

### getTable

    org.hsqldb.Table getTable(java.lang.String , org.hsqldb.Channel )

### getTables

    java.util.Vector getTables()

### isIgnoreCase

    boolean isIgnoreCase()

### isReferentialIntegrity

    boolean isReferentialIntegrity()

### isShutdown

    boolean isShutdown()

### linkTable

    void linkTable(org.hsqldb.Table )

### registerChannel

    void registerChannel(org.hsqldb.Channel )

### setReadOnly

    void setReadOnly()

### setReferentialIntegrity

    void setReferentialIntegrity(boolean )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD